# Originally imported from rus-fedora

%global debug_package %{nil}
%global revision 3143

%define origname sublime_text

Name: 		sublime-text
Version: 	3.0.%{revision}
Release: 	%mkrel 1
Summary: 	Sublime Text 3
Group:		Editors
License: 	EULA
URL: 		http://www.sublimetext.com/3
Source0: 	%{origname}.desktop
BuildRequires: 	desktop-file-utils
Requires: 	hicolor-icon-theme
Provides: 	sublimetext = %{version}-%{release}
Obsoletes: 	sublimetext < %{version}-%{release}
Provides: 	sublimetext3 = %{version}-%{release}
Obsoletes: 	sublimetext3 < %{version}-%{release}

%description
Sublime Text 3 for GNU/Linux is a sophisticated text editor for code, markup
and prose.

%prep
# download binary
wget -nc https://download.sublimetext.com/%{origname}_3_build_%{revision}_x64.tar.bz2
tar -xjf %{origname}_3_build_%{revision}_x64.tar.bz2

%build
# nothing

%install
rm -rf %buildroot
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}/usr/share/applications/
mkdir -p %{buildroot}/opt/%{origname}/
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{256x256,128x128,48x48,32x32,16x16}/apps/

mv $RPM_BUILD_DIR/%{origname}_3/* %{buildroot}/opt/%{origname}/

# icons
mv %{buildroot}/opt/%{origname}/Icon/256x256/sublime-text.png %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/%{origname}.png
mv %{buildroot}/opt/%{origname}/Icon/128x128/sublime-text.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{origname}.png
mv %{buildroot}/opt/%{origname}/Icon/48x48/sublime-text.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{origname}.png
mv %{buildroot}/opt/%{origname}/Icon/32x32/sublime-text.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{origname}.png
mv %{buildroot}/opt/%{origname}/Icon/16x16/sublime-text.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{origname}.png

rm -rf %{buildroot}/opt/%{origname}/Icon
chmod +x %{buildroot}/opt/%{origname}/%{origname}

# symlink binary
ln -sf /opt/%{origname}/%{origname} %{buildroot}%{_bindir}/%{name}
ln -sf /opt/%{origname}/%{origname} %{buildroot}%{_bindir}/%{origname}

# desktop-menu
rm -f %{buildroot}/opt/%{origname}/%{origname}.desktop
install -m 0644 %{SOURCE0} %{buildroot}%{_datadir}/applications/%{origname}.desktop

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/*

%files
%defattr(-,root,root)
/opt/%{origname}
%{_bindir}/%{name}
%{_bindir}/%{origname}
%{_datadir}/applications/%{origname}.desktop
%{_datadir}/icons/hicolor/*/apps/%{origname}.png


%changelog
* Sun Dec 31 2017 Zen Subz <techars21 at gmail dot com> - 3.0.3143-1pclos2017
- Build for PCLinuxOS
